let data_log;
let zaehler = 0;
let anzahlReihen;

function preload() {
  // einlesen der Werte in die Variable "data_log"
  // relativen Pfad beachten!
  data_log = loadTable("data_log.csv", "csv", "header");
}

function setup() {
  const meinCanvas = createCanvas(600, 230);
  meinCanvas.parent("canvasContainer");
  background(255);

  // Angaben zur Schrift
  textFont("Roboto Slab"); // hier auch der Webfont von Google!
  textSize(12);

  // wieviele Zeilen enthält die CSV-Datei
  anzahlReihen = data_log.getRowCount();

  frameRate(2);
}

function draw() {
  background(255);

  stroke(0);
  line(20, 35, width - 20, 35);

  textAlign(LEFT);
  noStroke();
  fill(0);
  text("Darstellen aller Werte der Spalte 3 (Helligkeitswerte):", 20, 30);

  // mit dem for-Loop geht man Zeile für Zeile durch alle Werte
  for (let i = 0; i < zaehler; i++) {
    helligkeit = data_log.get(i, 3); // 4. Eintrag jeder Zeile

    let zeile = 18; // der Zeilenabstand

    fill(160);
    textAlign(LEFT);
    text("Helligkeitswert in Zeile " + i + ": ", 20, 55 + i * zeile);

    fill(255, 0, 0);
    textAlign(RIGHT);
    text(helligkeit, 190, 55 + i * zeile);

    noStroke();

    // jeweilige vertikale Position
    let yWert = 55 + i * zeile - 10;

    // Höhe der Balken
    let hoehe = 12;

    // Füllfarbe abhängig vom Helligkeitswert
    if (helligkeit < 150) {
      fill(0, 0, 255);
    } else {
      fill(255, 0, 0);
    }

    // der jweilige Wert "helligkeit" wird dazu verwendet
    // um die Breite des Rechtecks zu definieren
    rect(210, yWert, helligkeit, hoehe);
  }

  // solange der zaehler kleiner als die Anzahl der Reihen in der CSV ist,
  // wird jeweils um eins hochgezählt,
  // ansonsten wird dieser auf 0 gesetzt
  if (zaehler < anzahlReihen) {
    zaehler = zaehler + 1;
  } else {
    zaehler = 0;
  }
}
